#---------------------------------------------------------------------------
#
#   MWG - Utility functions
#
#---------------------------------------------------------------------------

from constants import *

def opposite_dir(dir):
	return dir ^ 2

def make_yarn(dir1, dir2):
	lst = [dir1, dir2]
	lst.sort()
	return tuple(lst)

unconficting_yarns = {
	YARN_NE: YARN_SW,
	YARN_NW: YARN_SE,
	YARN_SE: YARN_NW,
	YARN_SW: YARN_NE,
}

def yarns_conflict(yarn1, yarn2):
	return unconficting_yarns.get(yarn1) != yarn2
