#---------------------------------------------------------------------------
#
#   MWG - Tiles
#
#---------------------------------------------------------------------------

import os
from albow.resource import resource_path, get_image

tile_images = {}
tile_list = []

def tile_image_with_index(i):
	return tile_images[tile_list[i]]

def tile_name_with_index(i):
	return tile_list[i]

def init_tiles():
	tile_dir = resource_path("images", "tiles")
	filenames = os.listdir(tile_dir)
	filenames.sort()
	for filename in filenames:
		name = os.path.splitext(filename)[0]
		image = get_image("tiles/" + filename)
		tile_images[name] = image
		tile_list.append(name)

init_tiles()
